<?php

namespace Laravel\Laravel\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class HubTransformer extends TransformerAbstract
{
    public function transform(\Laravel\Laravel\Models\Hub $hub)
    {
        return [
            'id'                => $hub->getRouteKey(),
            'key'               => [
                'public'    => $hub->getPublicKey(),
                'route'     => $hub->getRouteKey(),
            ], 
            'name'              => $hub->name,
            'url'               => [
                'public'    => trans_url('laravel/'.$hub->getPublicKey()),
                'user'      => guard_url('laravel/hub/'.$hub->getRouteKey()),
            ], 
            'status'            => trans('app.'.$hub->status),
            'created_at'        => format_date($hub->created_at),
            'updated_at'        => format_date($hub->updated_at),
        ];
    }
}